org.apache.uima.fit.factory

## Class FlowControllerFactory

- java.lang.Object
- - org.apache.uima.fit.factory.FlowControllerFactory

-     public final class FlowControllerFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowControllerDescription` | `createFlowControllerDescription(Class<? extends FlowController> flowControllerClass, ConfigurationParameter[] configurationParameters, Object[] configurationValues)`
    `static FlowControllerDescription` | `createFlowControllerDescription(Class<? extends FlowController> flowControllerClass, ConfigurationParameter[] configurationParameters, Object[] configurationValues, Map<String,ExternalResourceDescription> externalResources)` Creates a new FlowControllerDescription for a given class and configuration parameters with values
    `static FlowControllerDescription` | `createFlowControllerDescription(Class<? extends FlowController> flowControllerClass, Object... configurationData)` Creates a new FlowControllerDescription for a given class and configuration data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createFlowControllerDescription

          public static FlowControllerDescription createFlowControllerDescription(Class<? extends FlowController> flowControllerClass,
                                                                                  Object... configurationData)
                                                                           throws ResourceInitializationException

      Creates a new FlowControllerDescription for a given class and configuration data
      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationData` - should be configuration parameter name / value pairs.
      Returns:
        a flow controller description
      Throws:
        `ResourceInitializationException` - if the description could not be created

    - #### createFlowControllerDescription

          public static FlowControllerDescription createFlowControllerDescription(Class<? extends FlowController> flowControllerClass,
                                                                                  ConfigurationParameter[] configurationParameters,
                                                                                  Object[] configurationValues)
                                                                           throws ResourceInitializationException

      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration parameter values
      Returns:
        a flow controller description
      Throws:
        `ResourceInitializationException` - if the description could not be created

    - #### createFlowControllerDescription

          public static FlowControllerDescription createFlowControllerDescription(Class<? extends FlowController> flowControllerClass,
                                                                                  ConfigurationParameter[] configurationParameters,
                                                                                  Object[] configurationValues,
                                                                                  Map<String,ExternalResourceDescription> externalResources)
                                                                           throws ResourceInitializationException

      Creates a new FlowControllerDescription for a given class and configuration parameters with values
      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration parameter values
        `externalResources` - the external resources
      Returns:
        a flow controller description
      Throws:
        `ResourceInitializationException` - if the description could not be created

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.